package speiger.src.coreengine.rendering.guiOld.components.list;

import speiger.src.coreengine.rendering.guiOld.components.TextComponent;
import speiger.src.coreengine.rendering.guiOld.helper.Align;

public class TextListEntry extends BaseListEntry
{
	TextComponent text = addComponent(new TextComponent().limit(false).align(Align.LEFT_TOP, Align.LEFT_TOP).special(true).set(0F, 0F).cast());
	
	public TextListEntry(String s)
	{
		text.setText(s);
	}
	
	public TextListEntry setScale(float scale)
	{
		text.setTextScale(scale);
		return this;
	}
	
	public String getText()
	{
		return text.getText();
	}
}
